## mingw-w64-libgpr-25.0.0-2.src.tar.zst

=== examples/extended_projects/Makefile ===
all: ../subsystems/default.cgpr
	gprbuild -p -Pnew_ada_main --config=../subsystems/default.cgpr $(GPRBUILDFLAGS)

../subsystems/default.cgpr:
	$(MAKE) -C ../subsystems default.cgpr

clean: ../subsystems/default.cgpr
	gprclean -r -Pnew_ada_main --config=../subsystems/default.cgpr
	$(MAKE) -C ../subsystems clean


run: all
	./ada_main

.PHONY: all clean run
